### Encoding: latin1

### Name: akaike.weights
### Title: Calculation of Akaike weights/relative likelihoods/delta-AICs
### Aliases: akaike.weights
### Keywords: models nonlinear

### ** Examples

### apply a list of different sigmoidal models to data
### and analyze GOF statistics with Akaike weights
### on 9 different sigmoidal models 
modList <- list(l5(), l4(), l3(), b5(), b4(), b3(), w4(), w3(), baro5())
aics <- sapply(modList, function(x) AIC(drmfit(F1.1 ~ Cycles, data = reps, fct = x))) 
akaike.weights(aics)$weights 



