### Name: calib2
### Title: Calculation of qPCR efficiency by dilution curve analysis and an
###   iterative search of the optimal threshold border
### Aliases: calib2
### Keywords: models nonlinear

### ** Examples

## Define calibration curves,
## dilutions (or copy numbers) 
## and curves to be predicted.
## Do background subtraction using
## average of first 8 cycles
CAL <- modlist(reps, c(2, 6, 10, 14, 18, 22), backsub = 1:8)
COPIES <- c(100000, 10000, 1000, 100, 10, 1)
PRED <- modlist(reps, c(3, 7, 11), backsub = 1:8)
## conduct normal quantification using
## the second derivative maximum of 
## first curve
res <- calib2(refcurve = CAL, predcurve = PRED, thresh = "cpD2", dil = COPIES) 
## using a defined treshold value
res <- calib2(refcurve = CAL, predcurve = PRED, thresh = 0.5, dil = COPIES) 
## iterating only the intercept with 20 steps
res <- calib2(refcurve = CAL, predcurve = PRED, dil = COPIES, opt = "inter", 
              opt.step = c(20, 0)) 
## iterating only the intercept/slope with 10 steps
res <- calib2(refcurve = CAL, predcurve = PRED, dil = COPIES, opt = "slope", 
              opt.step = c(5, 10)) 



