### Name: modlist
### Title: Create nonlinear models from a dataframe and coerce them into a
###   list
### Aliases: modlist
### Keywords: models nonlinear

### ** Examples

### calculate efficiencies for each run in
### the 'reps' data
### subtract background using the first 8 cycles
ml <- modlist(reps, fct = l5(), backsub = 1:8)
effs <- sapply(ml, function(x) efficiency(x)$eff)
print(effs)

### 'crossing points' for the first 3 runs
### using best model from Akaike weights and normalization
ml <- modlist(reps, 2:4, fct = l4(), opt = TRUE, norm = TRUE, crit = "weights")
cps <- sapply(ml, function(x) efficiency(x)$cpD2)
print(cps)




