### Encoding: latin1

### Name: pcrbatch
### Title: Batch calculation of qPCR efficiency and several other important
###   qPCR parameters with different methods
### Aliases: pcrbatch
### Keywords: models nonlinear

### ** Examples


## complete dataset
## Not run: 
##D temp <- pcrbatch(reps)
## End(Not run)

## first 4 runs and return parameters of fit
## do background subtraction using the first 8 cycles
temp <- pcrbatch(reps, 2:4, retPar = TRUE, backsub = 1:8)

##  first 8 runs, with 4 replicates each, l5 model
temp <- pcrbatch(reps, 2:9, l5(), c(1,1,1,1,2,2,2,2))

## using model selection (likelihood ratio) on the first 4 runs, run 1+2 are replicates
temp <- pcrbatch(reps, 2:5, group = c(1,1,2,3), opt = TRUE, crit = "ratio")

## converting a 'modlist' to 'pcrbatch'
ml <- modlist(reps, 2:5)
pb <- pcrbatch(ml)




