### Name: pcrplot
### Title: Plotting PCR data with fitted curves
### Aliases: pcrplot
### Keywords: models nonlinear

### ** Examples

repData <- repform(reps[,1:5], c(0,1,1,1,1))
m <- drmfit(values ~ Cycles, curve = Curve, data = repData, fct = l5())
###plot the average
pcrplot(m)
###all observations
pcrplot(m, type = "all")
###mean with errorbars
pcrplot(m, type = "errbar")
###plot one curve and add 95 percent confidence band
m2 <- drmfit(F1.1 ~ Cycles, data = reps, fct = l5())
pcrplot(m2, confband = 0.95)



