### Name: ratioplot
### Title: Plot method for data of class 'ratiocalc' which displays
###   barplots of ratios with error bars
### Aliases: ratioplot
### Keywords: nonlinear

### ** Examples

## quick (but not dirty!) analysis of qPCR data!
## normal bar plot with standard error of mean
## and t-test on crossing points
DAT <- modlist(reps, 2:9, fct = l5())
GROUP <- c(1, 1, 2, 2, 3, 3, 4, 4)
res <-  ratiocalc(DAT, group = GROUP, ttest = "cp")
ratioplot(res, cex.names = 0.3, sem = TRUE, plot.t = "values")

## hanging bar plot with standard deviation
## and significance codes
ratioplot(res, cex.names = 0.3, type = "hbar", plot.t = "stars")

## same using the 'unpropagated' error and
## different y-scale
## (from averaged expression evaluations)
ratioplot(res, cex.names = 0.3, type = "hbar", 
          errbar = "eval", ylim = c(-20, 59))




