### Name: repform
### Title: Formatting of PCR data with or without replicates for analysis
### Aliases: repform
### Keywords: models nonlinear

### ** Examples


data(reps)
### take the first five columns of the dataframe, 
### first column contains the cycle numbers,
###  the next four columns are replicates
repData <- repform(reps[,1:5], c(0,1,1,1,1))
m2 <- drmfit(values ~ Cycles, curve = Curve, data = repData, fct = l5())
pcrplot(m2, type = "errbar")

### take the first five columns of the dataframe, 
### first column contains the cycle numbers,
###  the next four columns are two pairs of replicates
repData <- repform(reps[,1:5], c(0,1,1,2,2))
m2 <- drmfit(values ~ Cycles, curve = Curve, data = repData, fct = l5())
pcrplot(m2, type = "all", col = 1:2)



